#
# spec file for package rubygem-factory_girl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-factory_girl
Version:        4.9.0
Release:        bp156.3.1
%define mod_name factory_girl
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/thoughtbot/factory_girl
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        factory_girl provides a framework and DSL for defining and using
License:        MIT
Group:          Development/Languages/Ruby

%description
factory_girl provides a framework and DSL for defining and
using factories - less error-prone, more explicit, and
all-around easier to work with than fixtures.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE NEWS README.md" \
  -f

%gem_packages

%changelog
* Thu Oct 26 2017 coolo@suse.com
- updated to version 4.9.0
  see installed NEWS
  4.9.0 (October 23, 2017)
    Deprecate factory_girl in favor of factory_bot
* Wed Oct 11 2017 coolo@suse.com
- updated to version 4.8.1
  see installed NEWS
  4.8.1 (September 28, 2017)
    Explicitly define `#destroyed?` within the `Stub` strategy to return `nil` instead of raising
    Update various dependencies
    Update internal test suite to use RSpec's mocking/stubbing instead of mocha
* Sat Dec 17 2016 coolo@suse.com
- updated to version 4.8.0
  see installed NEWS
  4.8.0 (December 16, 2016)
    Improve documentation
    Add `FactoryGirl.generate_list` to be consistent with `build_list`/`create_list` and friends
    Add `FactoryGirl.use_parent_strategy` configuration to allow associations to leverage parent build strategy
* Wed Apr  6 2016 coolo@suse.com
- updated to version 4.7.0
  see installed NEWS
  4.7.0 (April 1, 2016)
    Improve documentation
    Improve instrumentation payload to include traits, overrides, and the factory itself
    Allow linting of traits
    Deprecate factory lookup by class name in preparation for 5.0
    Improve internal performance by using flat_map instead of map and compact
    Improve handling of dirty attributes after building a stubbed object
    Reduce warnings from redefining methods
  4.6.0 (skipped)
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.5.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Feb 22 2014 coolo@suse.com
- updated to version 4.4.0
  Add FactoryGirl.lint
  Fix memory leak in duplicate traits
  Update documentation
* Fri Nov 22 2013 coolo@suse.com
- updated to version 4.3.0
  Start testing against Rails 4.0 and Ruby 2.0.0
  Stop testing against Rails 3.0 and Ruby 1.9.2
  Add *_pair methods to only build two objects
  Raise if a method is defined with a FactoryGirl block (factory or trait)
  Allow use of Symbol#to_proc in callbacks
  Add global callbacks
  Improve GETTING_STARTED and README
* Sun Jun  9 2013 coolo@suse.com
- updated to version 4.2.0, no changlog provided
* Thu Sep 13 2012 coolo@suse.com
- updated to version 4.1.0
  Allow multiple callbacks to bind to the same block
  Fix documentation surrounding the stub strategy
* Sat Aug  4 2012 coolo@suse.com
- updated to version 4.0.0
  Remove deprecated cucumber_steps
  Remove deprecated alternate syntaxes
  Deprecate duplicate_attribute_assignment_from_initialize_with, which is now unused
  as attributes assigned within initialize_with are not subsequently assigned
* Fri Aug  3 2012 coolo@suse.com
- updated to version 3.6.1
  Update README to include info about running with JRuby
  Update dependencies on RSpec and tiny versions of Rails in Appraisal
  Improve flexibility of using traits with associations and add documentation
  Stub update_column to raise to mirror ActiveRecord's change from update_attribute
* Mon May 28 2012 jreidinger@suse.com
- update to version 3.3.0
- clean up spec
- fix requirements to match gemspec requirements
* Tue Feb 21 2012 jreidinger@suse.com
- update to version 2.6.0 :
  * inline trait support to build|create list
  * Deprecate :method in favor of :strategy when overwritting build
    strategy
* Tue Feb  7 2012 fcastelli@suse.com
- require activesupport 3.1
* Tue Feb  7 2012 fcastelli@suse.com
- update to 2.5.1
* Wed Oct  5 2011 fcastelli@suse.com
- Add provides factory_girl-2_1
* Wed Oct  5 2011 fcastelli@suse.com
- update to version 2.1.2
* Mon Feb 14 2011 mrueckert@suse.de
- update to version 1.3.3
  rails 3 support. for rails 2 you need 1.2.4.
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.3.0
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 18 2009 prusnak@suse.cz
- created package
